
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

//
//
// ACP error numbers
//
//
//

#ifndef ACPERR_
#define ACPERR_

#include <acpbeta.h>

#define ACPERR_ATTACH_UNSPECIFIED ((STD_BETA_ACP<<8)+0x00)
#define ACPERR_ATTACH_NOSERIES ((STD_BETA_ACP<<8)+0x01)
#define ACPERR_ATTACH_NOBETA ((STD_BETA_ACP<<8)+0x02)
#define ACPERR_ATTACH_NONULL ((STD_BETA_ACP<<8)+0x03)

#define ACPERR_APPLY_UNSPECIFIED ((STD_BETA_ACP<<8)+0x10)
#define ACPERR_APPLY_NOSERIES ((STD_BETA_ACP<<8)+0x11)
#define ACPERR_APPLY_NOTYPE ((STD_BETA_ACP<<8)+0x12)
#define ACPERR_APPLY_NOBETA ((STD_BETA_ACP<<8)+0x13)
#define ACPERR_APPLY_NOPHI ((STD_BETA_ACP<<8)+0x14)
#define ACPERR_APPLY_NOGAMMA ((STD_BETA_ACP<<8)+0x15)
#define ACPERR_APPLY_NORHO ((STD_BETA_ACP<<8)+0x16)
#define ACPERR_APPLY_NODEST ((STD_BETA_ACP<<8)+0x17)
#define ACPERR_APPLY_NOZETA ((STD_BETA_ACP<<8)+0x18)
#define ACPERR_APPLY_NOSIGMA ((STD_BETA_ACP<<8)+0x19)
#define ACPERR_APPLY_NOSUBTYPE ((STD_BETA_ACP<<8)+0x1a)
#define ACPERR_APPLY_INTERNAL ((STD_BETA_ACP<<8)+0x1b)
#define ACPERR_APPLY_NOSIZE ((STD_BETA_ACP<<8)+0x1c)
#define ACPERR_APPLY_NO59 ((STD_BETA_ACP<<8)+0x1d)
#define ACPERR_APPLY_NODELTA ((STD_BETA_ACP<<8)+0x1e)
#define ACPERR_APPLY_BADLENGTH ((STD_BETA_ACP<<8)+0x1f)
#define ACPERR_APPLY_BADMALLOC ((STD_BETA_ACP<<8)+0x20)
#define ACPERR_APPLY_TIMEOUT ((STD_BETA_ACP<<8)+0x21)
#define ACPERR_APPLY_BAD511 ((STD_BETA_ACP<<8)+0x22)

#define ACPERR_ESCAPE_UNSPECIFIED ((STD_BETA_ACP<<8)+0x20)

#define ACPERR_LEGACY_UNSPECIFIED ((STD_BETA_ACP<<8)+0x30)

#define ACPERR_SEQUENCE_UNSPECIFIED ((STD_BETA_ACP<<8)+0x40)
#define ACPERR_SEQUENCE_NOFROMLENGTH ((STD_BETA_ACP<<8)+0x41)
#define ACPERR_SEQUENCE_NODESTLENGTH ((STD_BETA_ACP<<8)+0x42)
#define ACPERR_SEQUENCE_NOMATCHLENGTH ((STD_BETA_ACP<<8)+0x43)
#define ACPERR_SEQUENCE_NOTYPE ((STD_BETA_ACP<<8)+0x44)

#define ACPERR_SRECORD_UNSPECIFIED ((STD_BETA_ACP<<8)+0x50)
#define ACPERR_SRECORD_FORM ((STD_BETA_ACP<<8)+0x51)
#define ACPERR_SRECORD_LENG ((STD_BETA_ACP<<8)+0x52)
#define ACPERR_SRECORD_MIN  ((STD_BETA_ACP<<8)+0x53)
#define ACPERR_SRECORD_ODD  ((STD_BETA_ACP<<8)+0x54)
#define ACPERR_SRECORD_CRC  ((STD_BETA_ACP<<8)+0x55)
#define ACPERR_SRECORD_TYPE ((STD_BETA_ACP<<8)+0x56)
#define ACPERR_SRECORD_PART ((STD_BETA_ACP<<8)+0x57)
#define ACPERR_SRECORD_NULL ((STD_BETA_ACP<<8)+0x58)
#define ACPERR_SRECORD_FROMNULL ((STD_BETA_ACP<<8)+0x59)
#define ACPERR_SRECORD_TOTONULL ((STD_BETA_ACP<<8)+0x5a)
#define ACPERR_SRECORD_FROMOVER ((STD_BETA_ACP<<8)+0x5b)
#define ACPERR_SRECORD_TOTOOVER ((STD_BETA_ACP<<8)+0x5c)
#define ACPERR_SRECORD_FROMTYPE ((STD_BETA_ACP<<8)+0x5d)
#define ACPERR_SRECORD_TOTOTYPE ((STD_BETA_ACP<<8)+0x5e)

#endif  /* ACPERR_ */
